库存报表 - 本地仓 - 新报表 - 明细
POST
/inventory/center/openapi/storageReport/local/detail/page接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/inventory/center/openapi/storageReport/local/detail/page | HTTPS | POST | 3 |
请求参数
offsetinteger必填lengthinteger必填start_datestring必填end_datestring必填sys_widstring请求示例
{
"offset": 1,
"length": 15,
"start_date": "2020-01-01",
"end_date": "2024-08-05",
"sys_wid": "1268,21"
}
返回结果
Json Object
codeinteger必填messagestring必填request_idstring必填response_timestring必填totalinteger必填dataarray<object>必填隐藏子属性
sys_widinteger必填ware_house_namestring必填seller_namestring必填product_namestring必填product_typestring必填skustring必填fnskustring必填spustring必填spu_namestring必填brandstring必填category1string必填category2string必填category3string必填attribute_textstring必填global_tagsarray<any>必填sku_attributearray<any>必填allocation_in_costnumber必填allocation_in_countnumber必填allocation_in_transit_costnumber必填allocation_in_transit_countnumber必填allocation_out_costnumber必填allocation_out_countnumber必填change_of_standard_in_costnumber必填change_of_standard_in_countnumber必填change_of_standard_out_costnumber必填change_of_standard_out_countnumber必填cost_adjustmentnumber必填day_early_costnumber必填day_early_countnumber必填day_end_costnumber必填day_end_countnumber必填fba_out_costnumber必填fba_out_countnumber必填fbm_out_costnumber必填fbm_out_countnumber必填inventory_deficit_out_costnumber必填inventory_deficit_out_countnumber必填inventory_surplus_in_costnumber必填inventory_surplus_in_countnumber必填other_in_costnumber必填other_in_countnumber必填other_out_costnumber必填other_out_countnumber必填outsourcing_in_costnumber必填outsourcing_in_countnumber必填outsourcing_out_costnumber必填outsourcing_out_countnumber必填processing_in_costnumber必填processing_in_countnumber必填processing_out_costnumber必填processing_out_countnumber必填purchase_in_costnumber必填purchase_in_countnumber必填purchase_return_costnumber必填purchase_return_countnumber必填remove_in_costnumber必填remove_in_countnumber必填return_goods_in_costnumber必填return_goods_in_countnumber必填rotation_day_costnumber必填rotation_day_countnumber必填split_in_costnumber必填split_in_countnumber必填split_out_costnumber必填split_out_countnumber必填wfs_out_costnumber必填wfs_out_countnumber必填gifts_in_costnumber必填gifts_in_countnumber必填rotation_rate_countnumber必填rotation_rate_costnumber必填sales_ratio_countnumber必填sales_ratio_costnumber必填child_listarray<any>必填返回成功示例
{
"code": 0,
"message": "",
"request_id": "99954c8d8cdc44f0b165331ec2ae7eff",
"response_time": "2022-12-21 18:52:14",
"total": 1,
"data": [
{
"other_in_count": 0,
"purchase_in_count": 0,
"allocation_in_count": 0,
"outsourcing_in_count": 0,
"inventory_surplus_in_count": 0,
"change_of_standard_in_count": 0,
"processing_in_count": 0,
"split_in_count": 0,
"return_goods_in_count": 0,
"remove_in_count": 0,
"outsourcing_out_count": 0,
"inventory_deficit_out_count": 0,
"change_of_standard_out_count": 0,
"processing_out_count": 0,
"split_out_count": 0,
"fba_out_count": 0,
"fbm_out_count": 0,
"purchase_return_count": 0,
"allocation_out_count": 0,
"other_out_count": 0,
"wfs_out_count": 0,
"gifts_in_cost": 0,
"gifts_in_count": 0,
"day_early_count": 443,
"day_end_count": 443,
"allocation_in_transit_count": 0,
"other_in_cost": "0.00",
"purchase_in_cost": "0.00",
"allocation_in_cost": "0.00",
"outsourcing_in_cost": "0.00",
"inventory_surplus_in_cost": "0.00",
"change_of_standard_in_cost": "0.00",
"processing_in_cost": "0.00",
"split_in_cost": "0.00",
"return_goods_in_cost": "0.00",
"remove_in_cost": "0.00",
"outsourcing_out_cost": "0.00",
"inventory_deficit_out_cost": "0.00",
"change_of_standard_out_cost": "0.00",
"processing_out_cost": "0.00",
"split_out_cost": "0.00",
"fba_out_cost": "0.00",
"fbm_out_cost": "0.00",
"purchase_return_cost": "0.00",
"allocation_out_cost": "0.00",
"other_out_cost": "0.00",
"wfs_out_cost": "0.00",
"day_early_cost": "0.00",
"day_end_cost": "0.00",
"allocation_in_transit_cost": "0.00",
"cost_adjustment": "0.00",
"rotation_day_count": "0.00",
"rotation_rate_count": "0.0000",
"sales_ratio_count": "0.0000",
"rotation_day_cost": "0.00",
"rotation_rate_cost": "0.0000",
"sales_ratio_cost": "0.0000",
"seller_name": null,
"sys_wid": null,
"ware_house_name": "仓库1",
"brand": null,
"product_name": "[演示数据]适用于iPad的手写笔带手掌柜绝",
"spu": "",
"spu_name": "",
"sku": "SKU1991FC9",
"fnsku": "",
"category1": null,
"category2": null,
"category3": null,
"global_tags": null,
"product_type": "普通产品",
"sku_attribute": null,
"attribute_text": "全部",
"child_list": [
{
"other_in_count": 0,
"purchase_in_count": 0,
"allocation_in_count": 0,
"outsourcing_in_count": 0,
"inventory_surplus_in_count": 0,
"change_of_standard_in_count": 0,
"processing_in_count": 0,
"split_in_count": 0,
"return_goods_in_count": 0,
"remove_in_count": 0,
"outsourcing_out_count": 0,
"inventory_deficit_out_count": 0,
"change_of_standard_out_count": 0,
"processing_out_count": 0,
"split_out_count": 0,
"fba_out_count": 0,
"fbm_out_count": 0,
"purchase_return_count": 0,
"allocation_out_count": 0,
"other_out_count": 0,
"wfs_out_count": 0,
"gifts_in_cost": 0,
"gifts_in_count": 0,
"day_early_count": 440,
"day_end_count": 440,
"allocation_in_transit_count": 0,
"other_in_cost": "0.00",
"purchase_in_cost": "0.00",
"allocation_in_cost": "0.00",
"outsourcing_in_cost": "0.00",
"inventory_surplus_in_cost": "0.00",
"change_of_standard_in_cost": "0.00",
"processing_in_cost": "0.00",
"split_in_cost": "0.00",
"return_goods_in_cost": "0.00",
"remove_in_cost": "0.00",
"outsourcing_out_cost": "0.00",
"inventory_deficit_out_cost": "0.00",
"change_of_standard_out_cost": "0.00",
"processing_out_cost": "0.00",
"split_out_cost": "0.00",
"fba_out_cost": "0.00",
"fbm_out_cost": "0.00",
"purchase_return_cost": "0.00",
"allocation_out_cost": "0.00",
"other_out_cost": "0.00",
"wfs_out_cost": "0.00",
"day_early_cost": "0.00",
"day_end_cost": "0.00",
"allocation_in_transit_cost": "0.00",
"cost_adjustment": "0.00",
"rotation_day_count": "0.00",
"rotation_rate_count": "0.0000",
"sales_ratio_count": "0.0000",
"rotation_day_cost": "0.00",
"rotation_rate_cost": "0.0000",
"sales_ratio_cost": "0.0000",
"seller_name": null,
"sys_wid": null,
"ware_house_name": "仓库1",
"brand": null,
"product_name": "[演示数据]适用于iPad的手写笔带手掌柜绝",
"spu": "",
"spu_name": "",
"sku": "SKU1991FC9",
"fnsku": "",
"category1": null,
"category2": null,
"category3": null,
"global_tags": null,
"product_type": "普通产品",
"sku_attribute": null,
"attribute_text": "可售",
"child_list": null
},
{
"other_in_count": 0,
"purchase_in_count": 0,
"allocation_in_count": 0,
"outsourcing_in_count": 0,
"inventory_surplus_in_count": 0,
"change_of_standard_in_count": 0,
"processing_in_count": 0,
"split_in_count": 0,
"return_goods_in_count": 0,
"remove_in_count": 0,
"outsourcing_out_count": 0,
"inventory_deficit_out_count": 0,
"change_of_standard_out_count": 0,
"processing_out_count": 0,
"split_out_count": 0,
"fba_out_count": 0,
"fbm_out_count": 0,
"purchase_return_count": 0,
"allocation_out_count": 0,
"other_out_count": 0,
"wfs_out_count": 0,
"day_early_count": 0,
"day_end_count": 0,
"allocation_in_transit_count": 0,
"other_in_cost": "0.00",
"purchase_in_cost": "0.00",
"allocation_in_cost": "0.00",
"outsourcing_in_cost": "0.00",
"inventory_surplus_in_cost": "0.00",
"change_of_standard_in_cost": "0.00",
"processing_in_cost": "0.00",
"split_in_cost": "0.00",
"return_goods_in_cost": "0.00",
"remove_in_cost": "0.00",
"outsourcing_out_cost": "0.00",
"inventory_deficit_out_cost": "0.00",
"change_of_standard_out_cost": "0.00",
"processing_out_cost": "0.00",
"split_out_cost": "0.00",
"fba_out_cost": "0.00",
"fbm_out_cost": "0.00",
"purchase_return_cost": "0.00",
"allocation_out_cost": "0.00",
"other_out_cost": "0.00",
"wfs_out_cost": "0.00",
"day_early_cost": "0.00",
"day_end_cost": "0.00",
"allocation_in_transit_cost": "0.00",
"cost_adjustment": "0.00",
"rotation_day_count": "0.00",
"rotation_rate_count": "0.0000",
"sales_ratio_count": "0.0000",
"rotation_day_cost": "0.00",
"rotation_rate_cost": "0.0000",
"sales_ratio_cost": "0.0000",
"seller_name": null,
"sys_wid": null,
"ware_house_name": "仓库1",
"brand": null,
"product_name": "[演示数据]适用于iPad的手写笔带手掌柜绝",
"spu": "",
"spu_name": "",
"sku": "SKU1991FC9",
"fnsku": "",
"category1": null,
"category2": null,
"category3": null,
"global_tags": null,
"product_type": "普通产品",
"sku_attribute": null,
"attribute_text": "待检",
"child_list": null
},
{
"other_in_count": 0,
"purchase_in_count": 0,
"allocation_in_count": 0,
"outsourcing_in_count": 0,
"inventory_surplus_in_count": 0,
"change_of_standard_in_count": 0,
"processing_in_count": 0,
"split_in_count": 0,
"return_goods_in_count": 0,
"remove_in_count": 0,
"outsourcing_out_count": 0,
"inventory_deficit_out_count": 0,
"change_of_standard_out_count": 0,
"processing_out_count": 0,
"split_out_count": 0,
"fba_out_count": 0,
"fbm_out_count": 0,
"purchase_return_count": 0,
"allocation_out_count": 0,
"other_out_count": 0,
"wfs_out_count": 0,
"day_early_count": 3,
"day_end_count": 3,
"allocation_in_transit_count": 0,
"other_in_cost": "0.00",
"purchase_in_cost": "0.00",
"allocation_in_cost": "0.00",
"outsourcing_in_cost": "0.00",
"inventory_surplus_in_cost": "0.00",
"change_of_standard_in_cost": "0.00",
"processing_in_cost": "0.00",
"split_in_cost": "0.00",
"return_goods_in_cost": "0.00",
"remove_in_cost": "0.00",
"outsourcing_out_cost": "0.00",
"inventory_deficit_out_cost": "0.00",
"change_of_standard_out_cost": "0.00",
"processing_out_cost": "0.00",
"split_out_cost": "0.00",
"fba_out_cost": "0.00",
"fbm_out_cost": "0.00",
"purchase_return_cost": "0.00",
"allocation_out_cost": "0.00",
"other_out_cost": "0.00",
"wfs_out_cost": "0.00",
"day_early_cost": "0.00",
"day_end_cost": "0.00",
"allocation_in_transit_cost": "0.00",
"cost_adjustment": "0.00",
"rotation_day_count": "0.00",
"rotation_rate_count": "0.0000",
"sales_ratio_count": "0.0000",
"rotation_day_cost": "0.00",
"rotation_rate_cost": "0.0000",
"sales_ratio_cost": "0.0000",
"seller_name": null,
"sys_wid": null,
"ware_house_name": "仓库1",
"brand": null,
"product_name": "[演示数据]适用于iPad的手写笔带手掌柜绝",
"spu": "",
"spu_name": "",
"sku": "SKU1991FC9",
"fnsku": "",
"category1": null,
"category2": null,
"category3": null,
"global_tags": null,
"product_type": "普通产品",
"sku_attribute": null,
"attribute_text": "不可售",
"child_list": null
}
]
}
]
}
返回成功示例
{
"code": 500,
"message": "系统错误",
"data": null,
"total": 0,
"request_id": "557581a380f4447b959d4adf777dfa09",
"response_time": "2022-12-21 18:44:54"
}